# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 3
# of the License, or (at your option) any later version.
# 
# Author::    Dieter Spaeth  (mailto:dieter.spaeth@gmx.de)
# Copyright:: Copyright (c) 2010 Dieter Spaeth

module RailsJqueryBundle
  module Constants
    module Jquery
      module Ui
        
        JQUERY_UI_BASE = RailsJqueryBundle::Constants::Jquery::JQUERY_BASE + "/ui"
        JQUERY_UI_VERSION = "1.8.10"
        JQUERY_UI_ALL_FILENAME="jquery-ui.all.js"
        JQUERY_UI_ALL_I18N_FILENAME="jquery-ui-i18n.js"
        JQUERY_UI_UI_FILE_PATTERN = "jquery.ui.%s.js"
        JQUERY_UI_UI_FILE_PATTERN_MIN = "jquery.ui.%s.min.js"
        JQUERY_UI_EFFECTS_FILE_PATTERN = "jquery.effects.%s.js"
        JQUERY_UI_EFFECTS_FILE_PATTERN_MIN = "jquery.effects.%s.min.js"
        JQUERY_UI_I18N_FILE_PATTERN = "jquery.ui.%s.js"

        STYLESHEETS_BASE = "/stylesheets/jquery"
        JQUERY_UI_THEMES_BASE   = [STYLESHEETS_BASE,
                                      'ui',
                                      JQUERY_UI_VERSION,
                                      'themes'].join('/')
        STYLESHEET_FILNAME = "jquery-ui-#{JQUERY_UI_VERSION}.custom.css"

      end
    end
  end
end
