
#  This program is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 3
#  of the License, or (at your option) any later version.

#  Author::    Dieter Spaeth  (mailto:dieter.spaeth@gmx.de)
#  Copyright:: Copyright (c) 2010 Dieter Spaeth


require 'rails'

module RailsJqueryBundle
  class Engine < Rails::Engine
    config.autoload_paths += %W(#{config.root}/lib)  

    initializer "static assets" do |app|
      app.middleware.insert 0, ::ActionDispatch::Static, "#{root}/public"
    end    

  end  
end

